/*
 * Options.h
 *
 *  Created on: 09.01.2013
 *      Author: kaeshammer
 *
 *  Inspired by moses/phrase-extract/extract-ghkm/ExtractGHKM::ProcessOptions
 */

#pragma once
#ifndef EXTRACT_LCFRS_OPTIONS_H_
#define EXTRACT_LCFRS_OPTIONS_H_

#include <string>


namespace LCFRS {

struct Options {
 public:
  Options()
      : gzOutput(false)
      , normalForm(true)
      , maxNumBlocksSource(2)
      , maxNumBlocksTarget(2)
      , maxLengthSource(100)
      , maxLengthTarget(100){}

  // Positional options
  std::string targetFile;
  std::string sourceFile;
  std::string alignmentFile;
  std::string extractFile;

  // All other options
  bool gzOutput;
  bool normalForm;
  std::string glueGrammarFile;
  int maxNumBlocksSource;
  int maxNumBlocksTarget;
  unsigned int maxLengthSource;
  unsigned int maxLengthTarget;
  std::string sentNumFile;
};

}  // namespace LCFRS

#endif
